<%--23cd7e3ad1492402629dfa7bfc02daa12011/7/20 22:08:18--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.channel" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/7/21 6:48:40.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>");
	pageBuilder.Append(title.ToString());
	pageBuilder.Append("</title>\r\n");
	pageBuilder.Append("<meta name=\"keywords\" content=\"");
	pageBuilder.Append(keywords.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<meta name=\"description\" content=\"");
	pageBuilder.Append(description.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("<script src=\"/scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#stype\").hover(\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideDown(\"normal\");\r\n");
	pageBuilder.Append("        },\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideUp(\"normal\");\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("    function stys(h, v) {\r\n");
	pageBuilder.Append("        $(\".meun\").html(h);\r\n");
	pageBuilder.Append("        $(\"#searchtype\").val(v);\r\n");
	pageBuilder.Append("    }\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"topbar\">\r\n");
	pageBuilder.Append("  <div class=\"mainbox\"><p>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <a href=\"login.aspx\">登录</a> | <a href=\"register.aspx\">注册</a>\r\n");

	}
	else
	{

	pageBuilder.Append("    欢迎您! <em>☺</em> ");
	pageBuilder.Append(username.ToString());
	pageBuilder.Append(" | <a href=\"/usercenter/\">用户中心</a> | <a href=\"loginout.aspx\">退出?</a>\r\n");

	}	//end if

	pageBuilder.Append("  </p></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"mainbox\">\r\n");
	pageBuilder.Append("  <div class=\"logobar clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"logo\"><a href=\"\" title=\"快聚合网赚系统\">快聚合网赚系统</a></div>\r\n");
	pageBuilder.Append("    <div class=\"search\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("    <form action=\"search.aspx\" method=\"get\">\r\n");
	pageBuilder.Append("        <div class=\"sea\">\r\n");
	pageBuilder.Append("        <div id=\"stype\">\r\n");
	pageBuilder.Append("        <a href=\"javascript:;\" class=\"meun\">资讯</a>\r\n");
	pageBuilder.Append("        <ul>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('专题', 0)\">专题</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('资讯', 1)\">资讯</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('博文', 2)\">博文</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('问答', 3)\">问答</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('图片', 4)\">图片</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('视频', 5)\">视频</a></li>\r\n");
	pageBuilder.Append("        </ul>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"searchtype\" name=\"t\" type=\"hidden\" value=\"1\" />\r\n");
	pageBuilder.Append("        <input id=\"searchkeys\" name=\"wd\" type=\"text\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"submit\" type=\"submit\" value=\"搜索\" class=\"sea_doc\"/>\r\n");
	pageBuilder.Append("    </form>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <p>\r\n");

	foreach(SearchInfo search in SearchTop(6,false))
	{
	pageBuilder.Append("    <a href=\"search.aspx?t=");
	pageBuilder.Append(search.t.ToString().Trim());
	pageBuilder.Append("&wd=\r\n");
pageBuilder.Append(Server.UrlEncode(search.wd));
	pageBuilder.Append("\">");
	pageBuilder.Append(search.wd.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("    </p>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"nav\">\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");
	pageBuilder.Append("     <li><a href=\"/\">首页</a></li>\r\n");

	if (indexType==1)
	{

	pageBuilder.Append("     <li><a href=\"home.aspx\">综合页</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"news.aspx\">资讯</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"bowen.aspx\">博文</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"pic.aspx\">图片</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"video.aspx\">视频</a></li>\r\n");

	if (indexType==0)
	{

	pageBuilder.Append("     <li><a href=\"ask.aspx\">问答</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"special.aspx\">专题</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"tag.aspx\">标签</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"channel\">\r\n");
	pageBuilder.Append("  <ul class=\"clearfix\">\r\n");

	foreach(ChannelInfo channel in channelList())
	{
	pageBuilder.Append("    <li><a href=\"channel-");
	pageBuilder.Append(channel.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(channel.channelname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("  </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div><a href=\"http://www.kuaishow.com/\" target=\"_blank\"><img src=\"templates/default/images/ad-banner.jpg\" width=\"950\" height=\"80\" border=\"0\" /></a></div>\r\n");

	pageBuilder.Append("  <div class=\"index clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"left clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("      <div class=\"l\">\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">最新资讯</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("var swf_width = 252;\r\n");
	pageBuilder.Append("var swf_height = 180;\r\n");
	pageBuilder.Append("var swf_file = 'templates/default/images/focus.swf';\r\n");
	pageBuilder.Append("//-- 参数 自动播放时间(秒)|文字颜色|文字背景色|文字背景透明度|按键数字颜色|当前按键颜色|普通按键色彩 --\r\n");
	pageBuilder.Append("var config = '5|0xffffff|0x000000|0|0xffffff|0xA41215|0x000000';\r\n");
	pageBuilder.Append("var files = '', links = '', texts = '';\r\n");

	foreach(PicInfo pic in PicTop(6,channelId,0,0,false,false))
	{
	pageBuilder.Append("files += '|uploads/?");
	pageBuilder.Append(pic.picid.ToString().Trim());
	pageBuilder.Append(".jpg'; \r\n");
	pageBuilder.Append("links += '|pics-");
	pageBuilder.Append(pic.id.ToString().Trim());
	pageBuilder.Append(".aspx'; texts += '|");
	pageBuilder.Append(pic.title.ToString().Trim());
	pageBuilder.Append("';\r\n");

	}	//end loop

	pageBuilder.Append("files = files.substring(1);\r\n");
	pageBuilder.Append("links = links.substring(1);\r\n");
	pageBuilder.Append("texts = texts.substring(1);\r\n");
	pageBuilder.Append("document.write('<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0\" width=\"' + swf_width + '\" height=\"' + swf_height + '\">');\r\n");
	pageBuilder.Append("document.write('<param name=\"movie\" value=\"'+swf_file+'\" />');\r\n");
	pageBuilder.Append("document.write('<param name=\"quality\" value=\"high\" />');\r\n");
	pageBuilder.Append("document.write('<param name=\"menu\" value=\"false\" />');\r\n");
	pageBuilder.Append("document.write('<param name=wmode value=\"opaque\" />');\r\n");
	pageBuilder.Append("document.write('<param name=\"FlashVars\" value=\"config=' + config + '&bcastr_flie=' + files + '&bcastr_link=' + links + '&bcastr_title=' + texts + '\" />');\r\n");
	pageBuilder.Append("document.write('<embed src=\"' + swf_file + '\" wmode=\"opaque\" FlashVars=\"config=' + config + '&bcastr_flie=' + files + '&bcastr_link=' + links + '&bcastr_title=' + texts + '& menu=\"false\" quality=\"high\" width=\"' + swf_width + '\" height=\"' + swf_height + '\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" />');\r\n");
	pageBuilder.Append("document.write('</object>');\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>          \r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">最新博文</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("              <ul class=\"toprnd\">\r\n");

	foreach(BowenInfo bowen in BowenTop(10,channelId,0,0,false,false))
	{
	pageBuilder.Append("            <li><a href=\"bowens-");
	pageBuilder.Append(bowen.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(bowen.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("              </ul>     \r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("      </div>\r\n");
	pageBuilder.Append("      <div class=\"r\">\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">推荐博文</div>\r\n");
	pageBuilder.Append("          <div class=\"cont indtui\">\r\n");

	foreach(BowenInfo bowen in BowenRecom(channelId))
	{
	pageBuilder.Append("          <h4><a href=\"bowens-");
	pageBuilder.Append(bowen.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(bowen.title.ToString().Trim());
	pageBuilder.Append("</a></h4>\r\n");
	pageBuilder.Append("          <p>");
	pageBuilder.Append(bowen.intro.ToString().Trim());
	pageBuilder.Append("</p>\r\n");

	}	//end loop

	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">最新资讯</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("              <ul class=\"toprnd\">\r\n");

	foreach(NewsInfo news in NewsTop(8,channelId,0,0,false,false))
	{
	pageBuilder.Append("            <li><a href=\"newss-");
	pageBuilder.Append(news.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(news.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("              </ul>   \r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("      </div>\r\n");
	pageBuilder.Append("      </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">火爆视频</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("          <ul class=\"indvi clearfix\">\r\n");

	foreach(VideoInfo video in VideoTop(4,channelId,0,0,false,false))
	{
	pageBuilder.Append("               <li><a href=\"videos-");
	pageBuilder.Append(video.id.ToString().Trim());
	pageBuilder.Append(".aspx\"><img src=\"uploads/?");
	pageBuilder.Append(video.picid.ToString().Trim());
	pageBuilder.Append(".jpg\" alt=\"");
	pageBuilder.Append(video.title.ToString().Trim());
	pageBuilder.Append("\" width=\"128\" height=\"96\" border=\"0\"/><em>");
	pageBuilder.Append(video.title.ToString().Trim());
	pageBuilder.Append("</em></a></li>\r\n");

	}	//end loop

	pageBuilder.Append("          </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">精彩博文</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("          <ul class=\"indpf clearfix\">\r\n");

	foreach(BowenInfo bowen in BowenTop(16,channelId,0,0,false,false))
	{
	pageBuilder.Append("               <li><a href=\"bowens-");
	pageBuilder.Append(bowen.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(bowen.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("          </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">专题</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("          <ul class=\"indspe clearfix\">\r\n");

	foreach(SpecialInfo special in SpecialTop(5,channelId,0))
	{
	pageBuilder.Append("               <li><a href=\"specials-");
	pageBuilder.Append(special.id.ToString().Trim());
	pageBuilder.Append(".aspx\"><img src=\"uploads/?");
	pageBuilder.Append(special.picid.ToString().Trim());
	pageBuilder.Append(".jpg\" alt=\"");
	pageBuilder.Append(special.spename.ToString().Trim());
	pageBuilder.Append("\" width=\"102\" height=\"82\" border=\"0\"/><em>");
	pageBuilder.Append(special.spename.ToString().Trim());
	pageBuilder.Append("</em></a></li>\r\n");

	}	//end loop

	pageBuilder.Append("          </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">精彩资讯</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("          <ul class=\"indpf clearfix\">\r\n");

	foreach(NewsInfo news in NewsTop(4,channelId,0,0,false,false))
	{
	pageBuilder.Append("               <li><a href=\"newss-");
	pageBuilder.Append(news.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(news.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("          </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"right\">\r\n");
	pageBuilder.Append("    <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">Tag焦点</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("            <ul class=\"indtags clearfix\">\r\n");

	foreach(TagInfo tag in TagTop(30,-1,false))
	{
	pageBuilder.Append("            <li><a href=\"tags-");
	pageBuilder.Append(tag.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(tag.tagname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("            </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"sbox\">\r\n");
	pageBuilder.Append("          <div class=\"tit\">最新问答</div>\r\n");
	pageBuilder.Append("          <div class=\"cont\">\r\n");
	pageBuilder.Append("              <ul class=\"toprnd\">\r\n");

	foreach(AskInfo ask in AskTop(9,1,channelId,0,0,false,false))
	{
	pageBuilder.Append("                <li><a href=\"asks-");
	pageBuilder.Append(ask.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(ask.title.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("              </ul>\r\n");
	pageBuilder.Append("          </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div class=\"ad\">\r\n");
	pageBuilder.Append("        <img src=\"templates/default/images/2.jpg\" />\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("        <img src=\"templates/default/images/3.jpg\" />\r\n");
	pageBuilder.Append("        <br />\r\n");
	pageBuilder.Append("        <img src=\"templates/default/images/1.jpg\" />\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"frdlink\">此处显示  class \"frdlink\" 的内容</div>\r\n");
	pageBuilder.Append("  <div class=\"footer\">\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(copyright.ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\" src=\"http://v1.jiathis.com/code/jia.js\" charset=\"utf-8\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");

	Response.Write(pageBuilder.ToString());
}
</script>
